### Method

# Ggit DiffBinaryFile get_data

#### Declaration [src]

    const guint8*
    ggit_diff_binary_file_get_data (
      GgitDiffBinaryFile* file,
      gsize* size
    )

#### Description [src]

Get the binary data. This data should not be modified.

#### Parameters

`size`

  Type: `gsize*`

  Location to return size of byte data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `const guint8*`

A pointer to the binary data, or `NULL`.

The returned data is owned by the instance.